net.snowflake.client.jdbc

## Class SnowflakeBasicDataSource

- java.lang.Object
- - net.snowflake.client.jdbc.SnowflakeBasicDataSource

All Implemented Interfaces:
  Wrapper, CommonDataSource, DataSource

    public class SnowflakeBasicDataSource
    extends Object
    implements DataSource

Created by hyu on 5/11/17.

### Constructor Summary

Constructors
Constructor and Description
`SnowflakeBasicDataSource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Connection` `getConnection()`
`Connection` `getConnection(String username, String password)`
`int` `getLoginTimeout()`
`PrintWriter` `getLogWriter()`
`Logger` `getParentLogger()`
`String` `getUrl()`
`boolean` `isWrapperFor(Class<?> iface)`
`void` `setAccount(String account)`
`void` `setDatabaseName(String databaseName)`
`void` `setLoginTimeout(int seconds)`
`void` `setLogWriter(PrintWriter out)`
`void` `setPassword(String password)`
`void` `setPortNumber(int portNumber)`
`void` `setRole(String role)`
`void` `setSchema(String schema)`
`void` `setServerName(String serverName)`
`void` `setSsl(boolean ssl)`
`void` `setUrl(String url)`
`void` `setUser(String user)`
`void` `setWarehouse(String warehouse)`
`<T> T` `unwrap(Class<T> iface)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SnowflakeBasicDataSource

    public SnowflakeBasicDataSource()

### Method Detail

#### getConnection

    public Connection getConnection()
                             throws SQLException

Specified by:
  `getConnection` in interface `DataSource`
Throws:
  `SQLException`

#### getConnection

    public Connection getConnection(String username,
                                    String password)
                             throws SQLException

Specified by:
  `getConnection` in interface `DataSource`
Throws:
  `SQLException`

#### getLogWriter

    public PrintWriter getLogWriter()
                             throws SQLException

Specified by:
  `getLogWriter` in interface `CommonDataSource`
Throws:
  `SQLException`

#### setLogWriter

    public void setLogWriter(PrintWriter out)
                      throws SQLException

Specified by:
  `setLogWriter` in interface `CommonDataSource`
Throws:
  `SQLException`

#### getLoginTimeout

    public int getLoginTimeout()
                        throws SQLException

Specified by:
  `getLoginTimeout` in interface `CommonDataSource`
Throws:
  `SQLException`

#### setLoginTimeout

    public void setLoginTimeout(int seconds)
                         throws SQLException

Specified by:
  `setLoginTimeout` in interface `CommonDataSource`
Throws:
  `SQLException`

#### getParentLogger

    public Logger getParentLogger()
                           throws SQLFeatureNotSupportedException

Specified by:
  `getParentLogger` in interface `CommonDataSource`
Throws:
  `SQLFeatureNotSupportedException`

#### isWrapperFor

    public boolean isWrapperFor(Class<?> iface)

Specified by:
  `isWrapperFor` in interface `Wrapper`

#### unwrap

    public <T> T unwrap(Class<T> iface)

Specified by:
  `unwrap` in interface `Wrapper`

#### setUrl

    public void setUrl(String url)

#### setDatabaseName

    public void setDatabaseName(String databaseName)

#### setSchema

    public void setSchema(String schema)

#### setWarehouse

    public void setWarehouse(String warehouse)

#### setRole

    public void setRole(String role)

#### setUser

    public void setUser(String user)

#### setServerName

    public void setServerName(String serverName)

#### setPassword

    public void setPassword(String password)

#### setPortNumber

    public void setPortNumber(int portNumber)

#### setAccount

    public void setAccount(String account)

#### setSsl

    public void setSsl(boolean ssl)

#### getUrl

    public String getUrl()